Subject: [bug#49221] [PATCH 00/13] Add go-1.16 and build with gccgo

From: Sarah Morgensen <[email-masked]>
Date: Wed, 30 Jun 2021 20:24:32 -0700

Hello,

Thanks for the push!

Efraim Flashner <[email-masked]> writes:

> On Thu, Jun 24, 2021 at 11:52:55PM -0700, Sarah Morgensen via Guix-patches via wrote:
> 
>> I would appreciate testing and feedback on the new bootstrap process,
>> especially from powerpc64le users, as I have only been able to test on x86-64.
>> (Note that it took about two hours for gccgo to build and 30 minutes for gccgo
>> to build go.)
>
> I was able to build [email-masked] as-is and with the conditional switched, so
> it used gccgo to bootstrap [email-masked]. Additionally on my x86_64 machine
> using emulation I was able to build [email-masked] for powerpc64le. On the
> powerpc64le box I have access to I was able to build gccgo and I'm still
> building out to [email-masked].

Excellent! Thanks for testing. Fingers crossed :)

> My only concern about the patches is that I've been burned before about
> pushing updates to go packages, where some seem to have insufficient
> testing and then they'll build and fail. So in the meantime I've pushed
> the [email-masked] patch.

Fair enough. We'll have to wait & see if any issues surface. On that
note, I've found the tests in etcd-io-bbolt and go-gopkg-in-check-v1 to
be performance-based, and they would sometimes fail on my VM. Updating
them did help, but did not completely eliminate the issue.

--
Sarah